summaryrefslogtreecommitdiff
path: root/abe-bisect.sh
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2017-06-16 12:53:51 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2017-06-16 13:43:32 +0000
commit0fe9cc1b2b267d5257adc2e8a2a850741badd10c (patch)
treef7279904783751988539b67eeb4c4b9973c96368 /abe-bisect.sh
parent02930a1279abbf052a0dfcaab09955d7bbdf3b76 (diff)
abe-bisect.sh: Use gcc-bisect-dir instead of snapshots/gcc.git~master
To avoid messing up with abe's snapshots Change-Id: I7a723003799f1f5718ed2a37d5688ef090ac9e87
Diffstat (limited to 'abe-bisect.sh')
-rwxr-xr-xabe-bisect.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/abe-bisect.sh b/abe-bisect.sh
index 5c269e09..42c09091 100755
--- a/abe-bisect.sh
+++ b/abe-bisect.sh
@@ -48,14 +48,15 @@ ABE=${rundir}/abe
${ABE}/configure --with-git-reference-dir=/home/tcwg-buildslave/snapshots-ref
# Checkout GCC master
-rm -rf snapshots/gcc.git~master
-${ABE}/abe.sh --target $TARGET gcc=gcc.git~master --checkout all
+${ABE}/abe.sh --target $TARGET --retrieve all
-cd snapshots/gcc.git~master
+rm -rf gcc-bisect-dir
+git-new-workdir ./snapshots/gcc.git gcc-bisect-dir
+cd gcc-bisect-dir
git bisect reset
git reset --hard
-git pull # Workaround abe bug, where it can checkout an outdated version
+git pull
git bisect start --no-checkout
GOODSHA1=`git log --format=format:"%H" --grep=trunk@${GOOD} master`
@@ -64,6 +65,9 @@ BADSHA1=`git log --format=format:"%H" --grep=trunk@${BAD} master`
echo GOOD: $GOODSHA1
echo BAD: $BADSHA1
+[ x"$GOODSHA1" = x ] && echo "ERROR: Could not find good commit ($GOOD)" && exit 1
+[ x"$BADSHA1" = x ] && echo "ERROR: Could not find bad commit ($BAD)" && exit 1
+
git bisect good ${GOODSHA1}
git bisect bad ${BADSHA1}